Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class ConcatStringBridge

    java.lang.Object
      org.hibernate.search.cfg.ConcatStringBridge

All Implemented Interfaces:
  ParameterizedBridge, StringBridge

    public class ConcatStringBridge

extends java.lang.Object
implements StringBridge, ParameterizedBridge

Author:
  Emmanuel Bernard

Field Summary
`static java.lang.String` | `SIZE`

Constructor Summary
`ConcatStringBridge()`

Method Summary
`java.lang.String` | `objectToString(java.lang.Object object)` Converts the object representation to a string.
`void` | `setParameterValues(java.util.Map parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIZE

    public static final java.lang.String SIZE

See Also:
  Constant Field Values

Constructor Detail

### ConcatStringBridge

    public ConcatStringBridge()

Method Detail

### objectToString

    public java.lang.String objectToString(java.lang.Object object)

  Description copied from interface: `StringBridge`
  Converts the object representation to a string.

  Specified by:
    `objectToString` in interface `StringBridge`
  Parameters:
    `object` - The object to transform into a string representation.
  Returns:
    String representation of the given object to be stored in Lucene index. The return string must not be `null`. It can be empty though.

### setParameterValues

    public void setParameterValues(java.util.Map parameters)

  Specified by:
    `setParameterValues` in interface `ParameterizedBridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.